io::socket::inet, somewhere between version 1.29 and 1.31, requires the peerport...